package org.project.entity;

public interface Entity
{
    void attack(Entity target);
    void defend();
    void takeDamage(int damage);
    boolean isAlive();
    int getHP();
    int getMaxHP();
    void setHP(int hp);
    int getMP();
    int getMaxMP();
    void setMP(int mp);
}
